Bug 1869783 - Column management tooltip and modal text correction to match design
Summary: Column management tooltip and modal text correction to match design
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-18 15:52 UTC by Gina Doyle
Modified: 2020-08-27 07:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6438 None open Bug 1869783: Fix column management help text 2020-08-25 17:03:53 UTC

Description Gina Doyle 2020-08-18 15:52:35 UTC
Description of problem:
Based on the design here https://github.com/openshift/openshift-origin-design/pull/434, the column icon in the toolbar should include a tooltip stating "Manage columns" upon hover.

When the modal appears after clicking on the icon, the description text should say "Selected columns will appear in the table."

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1. Go to Pods page
2. Hover over column icon in toolbar
3. Click on column icon

Actual results:
There is no tooltip upon hover and the modal dialog says "Checked categories will be displayed in the table."

Expected results:
Tooltip should appear upon hover and the modal dialog should state "Selected columns will appear in the table."

Comment 4 Yadan Pei 2020-08-27 07:07:17 UTC
1. Go to Pods page
2. Hover over column icon in toolbar, a tooltip with text 'Manage columns' appears upon hover  
3. Click on column icon, in the modal it says 'Selected columns will appear in the table'

Verified on 4.6.0-0.nightly-2020-08-26-152137


Note You need to log in before you can comment on or make changes to this bug.